%define version 0.0.1
%define release 0.beta32
%define name smeserver-php-fpm


Summary: PHP FPM pools on SME Server
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: MIT
Group: Applications/System
Source: %{name}-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools

Requires: e-smith-base >= 5.6.0
%if 0%{?rhel} <= 7
Requires: mod_fastcgi
%endif

Requires: tmpwatch
Requires: logrotate

# Stock PHP
Requires: php-cli
Requires: php-ldap
Requires: php-imap
Requires: php-gd
Requires: php-xml
Requires: php-xmlrpc
Requires: php-soap
Requires: php-opcache
Requires: php-fpm
Requires: php-mbstring
Requires: php-mysql
Requires: php-json
Requires: php-bcmath
Requires: php-intl
Requires: php-mcrypt
Requires: php-pear
Requires: php-process
Requires: php-snmp

# PHP 5.6
Requires: php56-php-cli
Requires: php56-php-ldap
Requires: php56-php-imap
Requires: php56-php-gd
Requires: php56-php-xml
Requires: php56-php-xmlrpc
Requires: php56-php-soap
Requires: php56-php-opcache
Requires: php56-php-fpm
Requires: php56-php-mbstring
Requires: php56-php-mysql
Requires: php56-php-json
Requires: php56-php-bcmath
Requires: php56-php-intl
Requires: php56-php-mcrypt
Requires: php56-php-pear
Requires: php56-php-process
Requires: php56-php-snmp

# PHP 7.0
Requires: php70-php-cli
Requires: php70-php-ldap
Requires: php70-php-imap
Requires: php70-php-gd
Requires: php70-php-xml
Requires: php70-php-xmlrpc
Requires: php70-php-soap
Requires: php70-php-opcache
Requires: php70-php-fpm
Requires: php70-php-mbstring
Requires: php70-php-mysql
Requires: php70-php-json
Requires: php70-php-bcmath
Requires: php70-php-intl
Requires: php70-php-mcrypt
Requires: php70-php-pear
Requires: php70-php-process
Requires: php70-php-snmp

# PHP 7.1
Requires: php71-php-cli
Requires: php71-php-ldap
Requires: php71-php-imap
Requires: php71-php-gd
Requires: php71-php-xml
Requires: php71-php-xmlrpc
Requires: php71-php-soap
Requires: php71-php-opcache
Requires: php71-php-fpm
Requires: php71-php-mbstring
Requires: php71-php-mysql
Requires: php71-php-json
Requires: php71-php-bcmath
Requires: php71-php-intl
Requires: php71-php-mcrypt
Requires: php71-php-pear
Requires: php71-php-process
Requires: php71-php-snmp

%description
Manage PHP FPM pools, and switch between PHP versions easily

%prep
%setup -q -n %{name}-%{version}

%build
perl createlinks
%{__mkdir_p} root/var/www/php-cgi-bin/
%{__mkdir_p} root/var/log/php/php/
%{__mkdir_p} root/var/lib/php/php/{session,tmp,opcache,wsdlcache}
%{__mkdir_p} root/var/log/php/php56/
%{__mkdir_p} root/var/lib/php/php56/{session,tmp,opcache,wsdlcache}
%{__mkdir_p} root/var/log/php/php70/
%{__mkdir_p} root/var/lib/php/php70/{session,tmp,opcache,wsdlcache}
%{__mkdir_p} root/var/log/php/php71/
%{__mkdir_p} root/var/lib/php/php71/{session,tmp,opcache,wsdlcache}

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  --dir /var/log/php/php/ 'attr(0770,root,www)' \
  --dir /var/lib/php/php/session 'attr(0770,root,www)' \
  --dir /var/lib/php/php/tmp 'attr(0770,root,www)' \
  --dir /var/lib/php/php/opcache 'attr(0770,root,www)' \
  --dir /var/lib/php/php/wsdlcache 'attr(0770,root,www)' \
  --dir /var/log/php/php56/ 'attr(0770,root,www)' \
  --dir /var/lib/php/php56/session 'attr(0770,root,www)' \
  --dir /var/lib/php/php56/tmp 'attr(0770,root,www)' \
  --dir /var/lib/php/php56/opcache 'attr(0770,root,www)' \
  --dir /var/lib/php/php56/wsdlcache 'attr(0770,root,www)' \
  --dir /var/log/php/php70/ 'attr(0770,root,www)' \
  --dir /var/lib/php/php70/session 'attr(0770,root,www)' \
  --dir /var/lib/php/php70/tmp 'attr(0770,root,www)' \
  --dir /var/lib/php/php70/opcache 'attr(0770,root,www)' \
  --dir /var/lib/php/php70/wsdlcache 'attr(0770,root,www)' \
  --dir /var/log/php/php71/ 'attr(0770,root,www)' \
  --dir /var/lib/php/php71/session 'attr(0770,root,www)' \
  --dir /var/lib/php/php71/tmp 'attr(0770,root,www)' \
  --dir /var/lib/php/php71/opcache 'attr(0770,root,www)' \
  --dir /var/lib/php/php71/wsdlcache 'attr(0770,root,www)' \
  > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%pre

%post

%preun

%changelog
* Sun Jul 2 2017 Daniel Berteaud <daniel@firewall-services.com> - 0.0.1-1.sme
- Initial release
